Bug 607116 - X crashes on login
Summary: X crashes on login
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 09:44 UTC by Nathan Thomas
Modified: 2018-04-11 11:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 18:47:37 UTC
Type: ---


Attachments (Terms of Use)
dmesg output (51.48 KB, text/plain)
2010-06-23 09:44 UTC, Nathan Thomas
no flags Details
Output of /var/log/Xorg.*.log (116.10 KB, text/plain)
2010-06-23 09:45 UTC, Nathan Thomas
no flags Details
gdm log (successful login) (140.37 KB, text/plain)
2010-06-23 13:11 UTC, Nathan Thomas
no flags Details
gdm log (greeter) (successful login) (4.64 KB, text/plain)
2010-06-23 13:12 UTC, Nathan Thomas
no flags Details
gdm log (slave) (successful login) (99 bytes, text/plain)
2010-06-23 13:12 UTC, Nathan Thomas
no flags Details
gdm log (failed login resulting in blank screen) (48.00 KB, text/plain)
2010-06-23 13:13 UTC, Nathan Thomas
no flags Details
gdm log (greeter) (failed login) (4.44 KB, text/plain)
2010-06-23 13:14 UTC, Nathan Thomas
no flags Details

Description Nathan Thomas 2010-06-23 09:44:15 UTC
Created attachment 426209 [details]
dmesg output

Description of problem:
When logging into Xfce 4.6.2 via GDM, I get a black screen with no mouse or keyboard input. I am also unable to switch to a terminal.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati 6.13.0
xorg-x11-server-Xorg 1.8
kernel 2.6.33.5-124.f13
ATi Mobility Radeon HD 3450

How reproducible:


Steps to Reproduce:
1. Log into desktop
2. Watch X crash
3.
  
Actual results:
Black screen, no input

Expected results:
Desktop, input

Additional info:
dmesg and /var/log/Xorg.*.log output attached

Comment 1 Nathan Thomas 2010-06-23 09:45:06 UTC
Created attachment 426211 [details]
Output of /var/log/Xorg.*.log

Comment 2 Matěj Cepl 2010-06-23 12:15:21 UTC
I don't see anything resembling Xorg crash in the logs you have kindly provided. Could it be something wrong with XFCE or gdm? Could you please attach whatever logs XFCE generates (I am not sure), complete /var/log/messages, and content of /var/log/gdm folder, please?

Thank you

Comment 3 Nathan Thomas 2010-06-23 13:05:44 UTC
Hi Matej,

Thanks for replying so quickly. I'll need to do a little research to find the Xfce logs, in the meantime here's some gdm ones. I had several log files in /var/log/gdm, and they are numbered. I've attached the last set (number 4), I assume this is the most recent, when I was able to log in successfully. For comparison I've added an earlier set, when there was a crash - note the empty slave log, dunno if that's significant?

Ignore the message about gnome-power-manager - that error always appears, because I use xfce-power-manager.

Thanks again for your help.

Comment 4 Nathan Thomas 2010-06-23 13:11:35 UTC
Created attachment 426263 [details]
gdm log (successful login)

Comment 5 Nathan Thomas 2010-06-23 13:12:06 UTC
Created attachment 426264 [details]
gdm log (greeter) (successful login)

Comment 6 Nathan Thomas 2010-06-23 13:12:34 UTC
Created attachment 426265 [details]
gdm log (slave) (successful login)

Comment 7 Nathan Thomas 2010-06-23 13:13:32 UTC
Created attachment 426266 [details]
gdm log (failed login resulting in blank screen)

Comment 8 Nathan Thomas 2010-06-23 13:14:11 UTC
Created attachment 426267 [details]
gdm log (greeter) (failed login)

Comment 9 Nathan Thomas 2010-06-23 13:17:36 UTC
Ok, Bugzilla won't let me attach the empty log file :0-slave.log.2, but possibly the fact that it was empty is significant.

Thanks
Nathan

Comment 10 Matěj Cepl 2010-06-23 15:24:33 UTC
General consensus here is a suspicion that you have incompletely installed system (did you installed it using kickstart or something like that?).

If you do

yum groupinstall "General Purpose Desktop" "Desktop"  "Internet Browser"

does it help?

Comment 11 Nathan Thomas 2010-06-23 18:37:29 UTC
(In reply to comment #10)
> General consensus here is a suspicion that you have incompletely installed
> system (did you installed it using kickstart or something like that?).
> 
> If you do
> 
> yum groupinstall "General Purpose Desktop" "Desktop"  "Internet Browser"
> 
> does it help?    

I am using the Xfce Spin (sorry, forgot to mention that in the initial post!).

Yum could not find any of the group packages you listed.

I'll email the Xfce SIG, perhaps they would be able to help - are there any specific packages you think might be missing?

Thanks again for the help!

Comment 12 Thomas Spura 2010-06-24 06:25:24 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > General consensus here is a suspicion that you have incompletely installed
> > system (did you installed it using kickstart or something like that?).
> > 
> > If you do
> > 
> > yum groupinstall "General Purpose Desktop" "Desktop"  "Internet Browser"
> > 
> > does it help?    
> 
> I am using the Xfce Spin (sorry, forgot to mention that in the initial post!).
> 
> Yum could not find any of the group packages you listed.

Could you try:

LC_ALL=C yum groupinstall "General Purpose Desktop" "Desktop"  "Internet Browser"

Comment 13 Nathan Thomas 2010-06-24 09:53:23 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > General consensus here is a suspicion that you have incompletely installed
> > > system (did you installed it using kickstart or something like that?).
> > > 
> > > If you do
> > > 
> > > yum groupinstall "General Purpose Desktop" "Desktop"  "Internet Browser"
> > > 
> > > does it help?    
> > 
> > I am using the Xfce Spin (sorry, forgot to mention that in the initial post!).
> > 
> > Yum could not find any of the group packages you listed.
> 
> Could you try:
> 
> LC_ALL=C yum groupinstall "General Purpose Desktop" "Desktop"  "Internet
> Browser"    

I still get errors saying that the groups do not exist.

Comment 14 Matěj Cepl 2010-06-24 14:21:37 UTC
Shuut there is something wrong with groups in Rawhide. This is the list of packages contained in these groups on my RHEL-6:

PackageKit-gstreamer-plugin authconfig-gtk brasero-nautilus \
cheese compiz-gnome evince evince-dvi file-roller gcalctool gedit \
gnome-backgrounds gnome-bluetooth gnome-disk-utility gnome-power-manager \
gnome-system-monitor gnome-themes gnome-user-docs gnome-user-share \
gnome-utils gnote gthumb gucharmap gvfs-afc gvfs-gphoto2 gvfs-obexftp \
mousetweaks nautilus-open-terminal nautilus-sendto rhn-setup-gnome \
rhythmbox scenery-backgrounds seahorse sound-juicer system-config-firewall \
system-config-users totem totem-nautilus NetworkManager NetworkManager-gnome \
alsa-plugins-pulseaudio at-spi control-center dbus gdm gdm-user-switch-applet \
gnome-panel gnome-power-manager gnome-screensaver gnome-session \
gnome-terminal gvfs-archive gvfs-fuse gvfs-smb metacity nautilus \
notification-daemon polkit-gnome xdg-user-dirs-gtk yelp eog \
gdm-plugin-fingerprint gnome-applets gnome-media gnome-packagekit \
gnome-vfs2-smb gok openssh-askpass orca pulseaudio-module-gconf \
pulseaudio-module-x11 rhn-setup-gnome vino firefox nspluginwrapper \
totem-mozplugin

You may not want to have some of these packages, but it could be a good checklist to compare your list of installed apps against.

Is there something missing on your system? Does this list help?

Comment 15 Nathan Thomas 2010-07-14 14:25:35 UTC
Sorry to take so long to reply. I did some tests and finally managed to identify the cause - my rt8260 wireless driver was crashing and taking X with it. The driver isn't in the standard Fedora repos (got it from rpmfusion), so should I close this bug?

Thanks for the help,
Nathan

Comment 16 Bug Zapper 2011-06-01 15:49:46 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2011-06-27 18:47:37 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.